Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
entryexitpages.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZStatsMain", "Language" )
| $t
if(isset( $Year) &&!is_numeric( $Year)||isset( $Month) &&!is_numeric( $Month)) | $query = new eZPageViewQuery()
| $exitPages =& $query->topExitPage( $Month, $Year )
| $exitPageArray = array()
| $pageView = new eZPageView()
| $ExitPageLimit = 20
| $i =0
foreach( $exitPageArray as $exitPage) | $entryPages =& $query->topEntryPage( $Month, $Year )
| $entryPageArray = array()
| $EntryPageLimit = 20
foreach( $entryPageArray as $entryPage) | $next_month = new eZDate( $Year, $Month, 1, 0, 1, 0 )
| $prev_month = new eZDate( $Year, $Month, 1, 0, -1, 0 )
| $cur_date = new eZDate()

## Variable Documentation

## ◆ $cur_date

$cur_date = new eZDate()

Definition at line 163 of file entryexitpages.php.

## ◆ $entryPageArray

$entryPageArray = array()

Definition at line 111 of file entryexitpages.php.

## ◆ $EntryPageLimit

$EntryPageLimit = 20

Definition at line 129 of file entryexitpages.php.

## ◆ $entryPages

foreach ($exitPageArray as $exitPage) $entryPages =& $query->topEntryPage( $Month, $Year )

Definition at line 109 of file entryexitpages.php.

## ◆ $exitPageArray

$exitPageArray = array()

Definition at line 69 of file entryexitpages.php.

## ◆ $ExitPageLimit

$ExitPageLimit = 20

Definition at line 88 of file entryexitpages.php.

## ◆ $exitPages

$exitPages =& $query->topExitPage( $Month, $Year )

Definition at line 68 of file entryexitpages.php.

## ◆ $i

$i =0

Definition at line 90 of file entryexitpages.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 28 of file entryexitpages.php.

## ◆ $Language

$Language = $ini->variable( "eZStatsMain", "Language" )

Definition at line 29 of file entryexitpages.php.

## ◆ $next_month

foreach ($entryPageArray as $entryPage) $next_month = new eZDate( $Year, $Month, 1, 0, 1, 0 )

Definition at line 150 of file entryexitpages.php.

## ◆ $pageView

$pageView = new eZPageView()

Definition at line 87 of file entryexitpages.php.

Referenced by eZVirtualFile\addPageView().

## ◆ $prev_month

$prev_month = new eZDate( $Year, $Month, 1, 0, -1, 0 )

Definition at line 151 of file entryexitpages.php.

## ◆ $query

if (isset($Year) &&!is_numeric($Year)||isset($Month) &&!is_numeric($Month)) $query = new eZPageViewQuery()

Definition at line 65 of file entryexitpages.php.

Referenced by eZDFSFileHandlerMySQLiBackend\_checkCacheGenerationTimeout(), eZDFSFileHandlerMySQLiBackend\_getFileList(), eZDFSFileHandlerMySQLiBackend\_insert(), eZDFSFileHandlerMySQLiBackend\_insertUpdate(), eZDFSFileHandlerMySQLiBackend\_query(), eZDFSFileHandlerMySQLiBackend\_selectOne(), eZDFSFileHandlerMySQLiBackend\_selectOneAssoc(), eZDFSFileHandlerMySQLiBackend\_selectOneRow(), eZDFSFileHandlerMySQLiBackend\_startCacheGeneration(), eZProduct\activeProductSearch(), eZAdCategory\addAd(), eZArticleCategory\addArticle(), eZBugCategory\addBug(), eZBugModule\addBug(), eZVirtualFolder\addFile(), eZArticle\addForm(), eZProduct\addForm(), eZImageCategory\addImage(), eZArticle\addLog(), eZMailFolder\addMail(), eZMediaCategory\addMedia(), eZVirtualFile\addPageView(), eZAd\addPageView(), eZTip\addPageView(), eZPriceGroup\addPrice(), eZProductCategory\addProduct(), eZTipCategory\addTip(), eZInformixDB\array_query(), eZArticleCategory\articleCount(), eZArticle\articleCount(), eZArticleCategory\articles(), eZArticle\articles(), eZTopic\articles(), eZArticle\authorArticleCount(), eZArticle\authorArticleList(), eZQuery\buildQuery(), eZProduct\categoryDefinition(), eZBugModule\countBugs(), eZArticleCategory\countByParent(), eZArticle\createIndex(), eZForumMessage\createIndex(), eZProduct\delete(), eZMailFolder\deleteAll(), eZDFSFileHandlerMySQLiBackend\deleteCacheFiles(), eZArticle\deleteForms(), eZProduct\deleteForms(), eZDFSFileHandlerMySQLiBackend\expiredFilesList(), eZProduct\extendedSearch(), eZProduct\extendedSearchCount(), eZVirtualFile\folder(), eZArticle\forms(), eZProduct\forms(), eZImageVariation\get(), eZProduct\get(), eZSection\get(), eZProductCategory\get(), eZModule\get(), eZCountry\getAll(), eZRegion\getAll(), eZModule\getAll(), eZPerson\getAll(), eZPermission\getAllByModule(), eZGroupEvent\getAllByType(), eZCountry\getAllCount(), eZRegion\getAllCount(), eZUser\getAllCount(), eZPerson\getAllCount(), eZGroupEvent\getByDate(), eZAppointment\getByDate(), eZGroupEvent\getByGroupType(), eZArticleCategory\getByParent(), eZProductCategory\getByParent(), eZCart\getBySession(), eZMail\getByUser(), eZMailFolder\getByUser(), eZPerson\getByUserID(), eZObjectPermission\getGroups(), eZMessageDefinition\getMessageID(), eZObjectPermission\getObjects(), eZLink\getQuery(), eZLink\getQueryCount(), eZForum\getQueryCount(), eZImageVariationGroup\groupExists(), eZObjectPermission\hasPermission(), eZObjectPermission\hasPermissionWithDefinition(), eZProduct\hotDealProducts(), eZVoucher\information(), eZCart\items(), eZLinkCategory\linkCount(), eZLinkCategory\links(), eZArticle\logMessages(), eZMailFolder\mail(), eZMailFolder\mailCount(), eZMessage\messagesFromUser(), eZMessage\messagesToUser(), eZArticleCategory\moveCategoryDown(), eZArticleCategory\moveCategoryUp(), eZArticleAttribute\moveUp(), eZNyheterNOImporter\news(), eZSQLite3DB\nextID(), eZProductCategory\productCount(), eZProductCategory\products(), eZProduct\products(), eZArticleCategory\removeArticle(), eZVirtualFile\removeFolders(), eZBug\removeFromCategories(), eZImageCategory\removeImage(), eZMailFolder\removeMail(), eZMediaCategory\removeMedia(), eZObjectPermission\removePermissions(), eZProductCategory\removeProduct(), eZImageCategory\search(), eZCompany\search(), eZPerson\search(), eZBug\search(), eZForum\search(), eZUser\search(), eZVirtualFile\search(), eZImage\search(), eZArticle\search(), eZCompany\searchByCategory(), eZCompany\searchByPerson(), eZImage\searchCount(), eZBug\searchCount(), eZVirtualFile\searchCount(), eZArticle\searchTitle(), eZArticle\setCategoryDefinition(), eZImage\setCategoryDefinition(), eZProduct\setCategoryDefinition(), eZMedia\setCategoryDefinition(), eZObjectPermission\setPermission(), ezups\setservice(), eZArticle\setThumbnailImage(), eZLink\setType(), eZProduct\setType(), eZMedia\setType(), eZSession\setVariable(), eZAddress\store(), eZArticleCategory\store(), eZAppointment\store(), eZFormElement\store(), eZForumMessage\store(), eZGroupEvent\store(), eZImageVariation\store(), eZMenu\store(), eZSection\store(), eZSectionFrontPage\store(), eZSurvey\store(), eZCart\store(), eZCartItem\store(), eZOrderStatus\store(), eZProduct\store(), eZProductCategory\store(), eZUserGroup\store(), eZArticle\thumbnailImage(), eZPageViewQuery\topExitPage(), eZPageViewQuery\topReferers(), eZPageViewQuery\topReferersCount(), eZLink\unAcceptedCount(), eZPersistentObject\updateObjectList(), eZUserGroup\users(), eZProduct\voucher(), and eZProduct\voucherInformation().

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/ezstats/admin/" . $ini->variable( "eZStatsMain", "AdminTemplateDir" ),
"kernel/ezstats/admin/intl", $Language, "entryexitpages.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: entryexitpages.php:29
$ini
$ini
Definition: entryexitpages.php:28

Definition at line 37 of file entryexitpages.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.